libnet-netmask-perl_1.9021-1_all.deb


Advertisement

Description

libnet-netmask-perl - parse, manipulate and lookup IP network blocks

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libnet-netmask-perl
Package version: 1.9021
Package release: 1
Package architecture: all
Package type: deb
Installed size: 88 B
Download size: 29.40 KB
Official Mirror: ftp.br.debian.org
Net::Netmask parses and understands IPv4 CIDR blocks. It's built with an object-oriented interface. Nearly all functions are methods that operate on a Net::Netmask object. There are methods that provide the nearly all bits of information about a network block that you might want. There are also functions to put a network block into a table and then later lookup network blocks by IP address in that table. There are functions to turn an IP address range into a list of CIDR blocks. There are functions to turn a list of CIDR blocks into a list of IP addresses. There is a function for sorting by text IP address.

Alternatives

Requires

    Download

    Source package: libnet-netmask-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libnet-netmask-perl deb package:
      # sudo apt-get install libnet-netmask-perl

    Files

    • /usr/share/doc/libnet-netmask-perl/README.gz
    • /usr/share/doc/libnet-netmask-perl/buildinfo_all.gz
    • /usr/share/doc/libnet-netmask-perl/changelog.Debian.gz
    • /usr/share/doc/libnet-netmask-perl/changelog.gz
    • /usr/share/doc/libnet-netmask-perl/copyright
    • /usr/share/man/man3/Net::Netmask.3pm.gz
    • /usr/share/perl5/Net/Netmask.pm
    • /usr/share/perl5/Net/Netmask.pod

    Changelog

    2014-07-20 - Salvatore Bonaccorso <carnil@debian.org> libnet-netmask-perl (1.9021-1) unstable; urgency=medium * Team upload. * Imported Upstream version 1.9021 * Drop spelling-error.patch (applied upstream)

    2014-02-23 - Daniel Lintott <daniel@serverb.co.uk> libnet-netmask-perl (1.9019-1) unstable; urgency=low * [b72bb25c] Imported Upstream version 1.9019 [ Salvatore Bonaccorso ] * [7ecd764f] Change Vcs-Git to canonical URI (git://anonscm.debian.org) [ Xavier Guimard ] * [db1c455c] Add licenses texts to remove missing-license-text-in-dep5-copyright warning [ Daniel Lintott ] * [2f127653] Update DEB_UPSTREAM_TARBALL_MD5 * [e37dd3f1] Update homepages to metacpan URL * [ff29596a] d/copyright - Update upstream copyright years * [e24531e3] Add myself to uploaders * [38f5df8c] Drop version from cdbs in Build-Depends * [6261a9dd] Bump standards version to 3.9.5 * [8cc6f564] d/control - Remove extra whitespace before short description * [fec5965a] d/compat - Change to 8 * [54c4fca3] d/control - Add version to debhelper build-depend * [1984ebd5] Add patch to correct spelling error in Netmask.pod

    2012-03-25 - Jonas Smedegaard <dr@jones.dk> libnet-netmask-perl (1.9016-1) unstable; urgency=low * New upstream release. [ Jotam Jr. Trejo ] * Update copyright file: + Update copyright holders [ Ansgar Burchardt ] * Update Vcs-fields: Packaging moved to Git. [ Jonas Smedegaard ] * Modernize CDBS usage: + Drop local snippets: All included upstream now. + Include perl-makemaker.mk (not deprecated perlmodule.mk). + Document in README.source (not README.cdbs-tweaks). * Use dpkg source format 3.0 (quilt), and stop including patchsys-quilt.mk. * Ease building with git-buildpackage: + Git-ignore quilt .pc dir. + Add config enabling pristin-tar and tag-signing. * Drop patch to avoid int(): Applied upstream. * Add proper licensing header to rules file. * Update copyright file: + Drop copyright on Debian packaging added (originally) by me: not claimed by contributor. + Rewrite using machine-readable format 1.0. * Update package relations: + Stop build-depending on quilt: Not (directly) used with dpkg source format 3.0 (quilt). + Tighten build-dependency on cdbs: Needed for perl-makemaker.mk. + Relax build-depend unversioned on debhelper and devscripts: Needed versions satisfied even in oldstable. * Bump standards-version to 3.9.3. * Sort and newline-delimit Uploaders field.

    2010-05-02 - Dominic Hargreaves <dom@earth.li> libnet-netmask-perl (1.9015-4) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ Dominic Hargreaves ] * Add quilt * Add uselongdouble.patch: use POSIX::floor rather than int to avoid a rounding error when used with a perl configured with -Duselongdouble (Closes: #578847) * Fix dependency on debhelper to match debian/compat * Update Standards-Version (no changes)

    2008-06-29 - Jonas Smedegaard <dr@jones.dk> libnet-netmask-perl (1.9015-3) unstable; urgency=medium * Update Vcs-* fields in debian/control(.in) to point to Perl group. * Update local cdbs tweaks: + Strip non-printable chars from copyright-check.mk output. + Relax copyright-check.mk to only warn by default. This fixes a potential FTBFS. + Fix update-tarball.mk wget options to work with recent wget. + Simplify dependency cleanup slightly (quilt isn't in use here). * Update debian/copyright-hints. * Bump debhelper compatibility level to 6. * Depend on ${misc:Depends}. * Semi-auto-update debian/control to update build-dependencies: DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean * Set urgency=medium due to potential FTBFS bugfix.

    Advertisement
    Advertisement